/*
 *   Copyright 2003-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 *
 * @author  Damitha Kumarage (damitha@opensource.lk, damitha@jkcsworld.com)
 *
 */


#include "TestGlobal.h"
#include <string>
//#include <axis/common/AxisTrace.h>
#include <axis/common/AxisException.h>

//using namespace std;

TestGlobal::TestGlobal()
{
    m_pOption = NULL;
    m_sEmpty = "";
}

TestGlobal::~TestGlobal()
{
}
// Implementation of BasicHandler interface.
int TestGlobal::Invoke(IMessageData* md)
{

  AXIS_TRY
      //AXISTRACE1("Hi, you successfully invoked TestGlobal handler");

    return AXIS_SUCCESS;

  AXIS_CATCH(...)
		//AXISTRACE1("inside catch block");

		return AXIS_FAIL;
  AXIS_ENDCATCH
}

void TestGlobal::OnFault(IMessageData* mc)
{

}


const string& TestGlobal::GetOption(const string& sArg)
{
    map<string, string>::const_iterator it = m_pOption->find(sArg);
    if (it != m_pOption->end())
    {
        return (*it).second;
    }
    
    return m_sEmpty;
}

void TestGlobal::SetOptionList(const map<string, string>* OptionList)
{
   m_pOption = OptionList;
}

int TestGlobal::Init()
{
	//do any initialization, resetting of values

	return AXIS_SUCCESS;
}

int TestGlobal::Fini()
{
	//do any finalizatoin

	return AXIS_SUCCESS;
}
