/*
 *   Copyright 2003-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 *
 * @author  Damitha Kumarage (damitha@opensource.lk, damitha@jkcsworld.com)
 *
 */


#include "TestTransport.h"
#include <axis/soap/SoapDeSerializer.h>
#include <axis/soap/SoapSerializer.h>
#include <string>
//#include <axis/common/AxisTrace.h>
#include <axis/common/AxisException.h>

using namespace std;

TestTransport::TestTransport()
{
    m_pOption = NULL;
    m_sEmpty = "";

}

TestTransport::~TestTransport()
{

}
// Implementation of BasicHandler interface.
int TestTransport::Invoke(IMessageData* md)
{
  AXIS_TRY
    //AXISTRACE1("Hi, you have successfully invoked the TestTransport handler");
    return AXIS_SUCCESS;
  AXIS_CATCH(...)
		return AXIS_FAIL;
  AXIS_ENDCATCH
}

void TestTransport::OnFault(IMessageData* mc)
{

}


const string& TestTransport::GetOption(const string& sArg)
{
  map<string, string>::const_iterator it = m_pOption->find(sArg);
  if (it != m_pOption->end())
  {
      return (*it).second;
  }
  return m_sEmpty;
}

void TestTransport::SetOptionList(const map<string, string>* OptionList)
{
   m_pOption = OptionList;
}

int TestTransport::Init()
{
	//do any initialization, resetting of values

	return AXIS_SUCCESS;
}

int TestTransport::Fini()
{
	//do any finalizatoin

	return AXIS_SUCCESS;
}
